Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_NS_String Class Reference

This class and ACE_NS_Internal are used as Adapters to work with the Map_Manager. More...

`#include <Local_Name_Space.h>`

List of all members.

## Public Methods
| ACE_NS_String (void)
| Default "no-op" constructor.
| ACE_NS_String (ACE_USHORT16 *dst, const ACE_USHORT16 *src, size_t len)
| Initialization method.
| ACE_NS_String (const ACE_WString &)
| Converts an ACE_WString to an ACE_NS_String;.
| ~ACE_NS_String (void)
| Destructor.
| operator ACE_WString () const
| Converts an ACE_NS_String to fresh copy of an ACE_WString;.
char* | char_rep (void) const
| Return the ASCII character representation.
int | strstr (const ACE_NS_String &) const
| Matches on substrings.
int | operator== (const ACE_NS_String &) const
| Compare an ACE_NS_String.
int | operator!= (const ACE_NS_String &) const
| Compare an ACE_NS_String.
size_t | len (void) const
| Returns length of the string.
ACE_USHORT16* | fast_rep (void) const
| Returns the underlying representation.
size_t | hash (void) const
| Returns a hash value for this string.
## Private Attributes
size_t | len_
| Length of the string.
ACE_USHORT16* | rep_
| This actually points into shared/persistent memory.
int | delete_rep_
| Should rep_ be deleted when destructed (only used for WString conversions).

## Detailed Description

This class and ACE_NS_Internal are used as Adapters to work with the Map_Manager.

In order to work correctly, this class must be able to convert back and forth with . Note that this class must not have a destructor since otherwise we'll have problems...

## Constructor & Destructor Documentation

ACE_NS_String::ACE_NS_String ( | void )

| Default "no-op" constructor.

ACE_NS_String::ACE_NS_String ( | ACE_USHORT16 * dst,
| const ACE_USHORT16 * src,
| size_t len )

| Initialization method.

ACE_NS_String::ACE_NS_String ( | const ACE_WString & s )

| Converts an ACE_WString to an ACE_NS_String;.

ACE_NS_String::~ACE_NS_String ( | void )`[inline]`

| Destructor.

## Member Function Documentation

char * ACE_NS_String::char_rep ( | void ) const

| Return the ASCII character representation.

ACE_USHORT16 * ACE_NS_String::fast_rep ( | void ) const

| Returns the underlying representation.

size_t ACE_NS_String::hash ( | void ) const

| Returns a hash value for this string.

size_t ACE_NS_String::len ( | void ) const

| Returns length of the string.

ACE_NS_String::operator ACE_WString ( | ) const

| Converts an ACE_NS_String to fresh copy of an ACE_WString;.

int ACE_NS_String::operator!= ( | const ACE_NS_String & s ) const

| Compare an ACE_NS_String.

int ACE_NS_String::operator== ( | const ACE_NS_String & s ) const

| Compare an ACE_NS_String.

int ACE_NS_String::strstr ( | const ACE_NS_String & s ) const

| Matches on substrings.

## Member Data Documentation

int ACE_NS_String::delete_rep_`[private]`

| Should rep_ be deleted when destructed (only used for WString conversions).

size_t ACE_NS_String::len_`[private]`

| Length of the string.

ACE_USHORT16 * ACE_NS_String::rep_`[private]`

| This actually points into shared/persistent memory.

The documentation for this class was generated from the following files:

- Local_Name_Space.h
- Local_Name_Space.cpp